<?php

if (isset($_SESSION['refer']) && $_SESSION['refer'] != NULL && !preg_match('#(rules)|(smiles)|(secure)|(aut)|(reg)|(umenu)|(zakl)|(mail)|(anketa)|(settings)|(avatar)|(info)\.php#', $_SERVER['SCRIPT_NAME'])) {
    $_SESSION['refer'] = NULL;
}

function otkuda($ref) {
    if (preg_match('#^/forum/#', $ref)) {
        $mesto = 'Форум';
    } elseif (preg_match('#^/modules/news/#', $ref)) {
        $mesto = 'Новости';
    } elseif (preg_match('#^/adm_panel/#', $ref)) {
        $mesto = 'Панель управления';
    } elseif (preg_match('#^/user/wall/#', $ref)) {
        $mesto = 'Стена';
    } elseif (preg_match('#^/umenu\.php#', $ref)) {
        $mesto = 'Кабинет';
    } elseif (preg_match('#^/modules/users/#', $ref)) {
        $mesto = 'Пользователи';
    } elseif (preg_match('#^/modules/online/#', $ref)) {
        $mesto = 'Онлайн пользователи';
    } elseif (preg_match('#^/reg\.php#', $ref)) {
        $mesto = 'Регистрация';
    } elseif (preg_match('#^/aut\.php#', $ref)) {
        $mesto = 'Авторизация';
    } elseif (preg_match('#^/index\.php#', $ref)) {
        $mesto = 'Главная';
    } elseif (preg_match('#^/\??$#', $ref)) {
        $mesto = 'Главная';
    } else {
        $mesto = false;
    }
    return $mesto;
}
